//
// Created by sebastian on 08.02.26.
//

#ifndef GAMEMODE_H
#define GAMEMODE_H
#include "../engine/core/ECS/EntityManager.h"
#include "hexWorld/ecs/components/BuildingComponent.h"
#include "player/Player.h"


class GameMode {
public:
    GameMode();
    bool canBuild(EntityID player, BuildingType buildingType);
    void build(EntityID player, EntityID tileEntity, BuildingType buildingType);

    void addPlayer(PlayerID playerID, std::string name);

    PlayerID getCurrentPlayer();

private:
    std::unordered_map<PlayerID, Player> players;

};



#endif //GAMEMODE_H
